| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMInputSource Class Reference

This interface represents a single input source for an XML entity. More...

`#include <DOMInputSource.hpp>`

Inheritance diagram for DOMInputSource

[legend]
List of all members.

## Public Methods

Destructor
virtual | ~DOMInputSource ()
| Destructor.
Functions introduced in DOM Level 3
virtual const XMLCh* | getEncoding ()const=0
| An input source can be set to force the parser to assume a particular encoding for the data that input source reprsents, via the setEncoding() method. More...
virtual const XMLCh* | getPublicId ()const=0
| Get the public identifier for this input source. More...
virtual const XMLCh* | getSystemId ()const=0
| Get the system identifier for this input source. More...
virtual const XMLCh* | getBaseURI ()const=0
| Get the base URI to be used for resolving relative URIs to absolute URIs. More...
virtual void | setEncoding (const XMLCh *const encodingStr)=0
| Set the encoding which will be required for use with the XML text read via a stream opened by this input source. More...
virtual void | setPublicId (const XMLCh *const publicId)=0
| Set the public identifier for this input source. More...
virtual void | setSystemId (const XMLCh *const systemId)=0
| Set the system identifier for this input source. More...
virtual void | setBaseURI (const XMLCh *const baseURI)=0
| Set the base URI to be used for resolving relative URIs to absolute URIs. More...
Non-standard Extension
virtual BinInputStream* | makeStream ()const=0
| Makes the byte stream for this input source. More...
virtual void | setIssueFatalErrorIfNotFound (const bool flag)=0
| Indicates if the parser should issue fatal error if this input source is not found. More...
virtual const bool | getIssueFatalErrorIfNotFound ()const=0
| Get the flag that indicates if the parser should issue fatal error if this input source is not found. More...
virtual void | release ()=0
| Called to indicate that this DOMInputSource is no longer in use and that the implementation may relinquish any resources associated with it. More...

## Protected Methods

Hidden constructors
| DOMInputSource ()
| DOMInputSource (const DOMInputSource &)
DOMInputSource& | operator= (const DOMInputSource &)

## Detailed Description

This interface represents a single input source for an XML entity.

This interface allows an application to encapsulate information about an input source in a single object, which may include a public identifier, a system identifier, a byte stream (possibly with a specified encoding), and/or a character stream.

There are two places that the application will deliver this input source to the parser: as the argument to the parse method, or as the return value of the DOMEntityResolver.resolveEntity method.

The DOMBuilder will use the DOMInputSource object to determine how to read XML input. If there is a character stream available, the parser will read that stream directly; if not, the parser will use a byte stream, if available; if neither a character stream nor a byte stream is available, the parser will attempt to open a URI connection to the resource identified by the system identifier.

A DOMInputSource object belongs to the application: the parser shall never modify it in any way (it may modify a copy if necessary).

See also:
  DOMBuilder::parse , DOMEntityResolver::resolveEntity

Since:
  DOM Level 3

## Constructor & Destructor Documentation

DOMInputSource::DOMInputSource ( | )`[protected]`

DOMInputSource::DOMInputSource ( | const DOMInputSource & )`[protected]`

DOMInputSource::~DOMInputSource ( | )`[virtual]`

| Destructor.

## Member Function Documentation

const XMLCh * DOMInputSource::getBaseURI ( | ) const`[pure virtual]`

Get the base URI to be used for resolving relative URIs to absolute URIs.

If the baseURI is itself a relative URI, the behavior is implementation dependent.

"Experimental - subject to change"

Returns:
  The base URI.

See also:
  setBaseURI

Since:
  DOM Level 3

Reimplemented in Wrapper4InputSource.

const XMLCh * DOMInputSource::getEncoding ( | ) const`[pure virtual]`

An input source can be set to force the parser to assume a particular encoding for the data that input source reprsents, via the setEncoding() method.

This method returns name of the encoding that is to be forced. If the encoding has never been forced, it returns a null pointer.

"Experimental - subject to change"

Returns:
  The forced encoding, or null if none was supplied.

See also:
  setEncoding

Since:
  DOM Level 3

Reimplemented in Wrapper4InputSource.

const bool DOMInputSource::getIssueFatalErrorIfNotFound ( | ) const`[pure virtual]`

Get the flag that indicates if the parser should issue fatal error if this input source is not found.

"Experimental - subject to change"

Returns:
  True if the parser should issue fatal error if this input source is not found. False if the parser issue warning message instead.

See also:
  setIssueFatalErrorIfNotFound

Reimplemented in Wrapper4InputSource.

const XMLCh * DOMInputSource::getPublicId ( | ) const`[pure virtual]`

Get the public identifier for this input source.

"Experimental - subject to change"

Returns:
  The public identifier, or null if none was supplied.

See also:
  setPublicId

Since:
  DOM Level 3

Reimplemented in Wrapper4InputSource.

const XMLCh * DOMInputSource::getSystemId ( | ) const`[pure virtual]`

Get the system identifier for this input source.

"Experimental - subject to change"

If the system ID is a URL, it will be fully resolved.

Returns:
  The system identifier.

See also:
  setSystemId

Since:
  DOM Level 3

Reimplemented in Wrapper4InputSource.

BinInputStream * DOMInputSource::makeStream ( | ) const`[pure virtual]`

Makes the byte stream for this input source.

The derived class must create and return a binary input stream of an appropriate type for its kind of data source. The returned stream must be dynamically allocated and becomes the parser's property.

"Experimental - subject to change"

See also:
  BinInputStream

Reimplemented in Wrapper4InputSource.

DOMInputSource & DOMInputSource::operator= ( | const DOMInputSource & )`[protected]`

void DOMInputSource::release ( | )`[pure virtual]`

| Called to indicate that this DOMInputSource is no longer in use and that the implementation may relinquish any resources associated with it. Access to a released object will lead to unexpected result. Reimplemented in Wrapper4InputSource.

void DOMInputSource::setBaseURI ( | const XMLCh * const )`[pure virtual]`

Set the base URI to be used for resolving relative URIs to absolute URIs.

If the baseURI is itself a relative URI, the behavior is implementation dependent.

"Experimental - subject to change"

Parameters:

  baseURI | The base URI.

See also:
  getBaseURI

Since:
  DOM Level 3

Reimplemented in Wrapper4InputSource.

void DOMInputSource::setEncoding ( | const XMLCh *const encodingStr )`[pure virtual]`

Set the encoding which will be required for use with the XML text read via a stream opened by this input source.

This is usually not set, allowing the encoding to be sensed in the usual XML way. However, in some cases, the encoding in the file is known to be incorrect because of intermediate transcoding, for instance encapsulation within a MIME document.

"Experimental - subject to change"

Parameters:

  encodingStr | The name of the encoding to force.

Since:
  DOM Level 3

Reimplemented in Wrapper4InputSource.

void DOMInputSource::setIssueFatalErrorIfNotFound ( | const bool flag )`[pure virtual]`

Indicates if the parser should issue fatal error if this input source is not found.

If set to false, the parser issue warning message instead.

"Experimental - subject to change"

Parameters:

  flag | True if the parser should issue fatal error if this input source is not found. If set to false, the parser issue warning message instead. (Default: true)

See also:
  getIssueFatalErrorIfNotFound

Reimplemented in Wrapper4InputSource.

void DOMInputSource::setPublicId ( | const XMLCh *const publicId )`[pure virtual]`

Set the public identifier for this input source.

The public identifier is always optional: if the application writer includes one, it will be provided as part of the location information.

"Experimental - subject to change"

Parameters:

  publicId | The public identifier as a string.

See also:
  getPublicId

Since:
  DOM Level 3

Reimplemented in Wrapper4InputSource.

void DOMInputSource::setSystemId ( | const XMLCh *const systemId )`[pure virtual]`

Set the system identifier for this input source.

The system id is always required. The public id may be used to map to another system id, but the system id must always be present as a fall back.

If the system ID is a URL, it must be fully resolved.

"Experimental - subject to change"

Parameters:

  systemId | The system identifier as a string.

See also:
  getSystemId

Since:
  DOM Level 3

Reimplemented in Wrapper4InputSource.

The documentation for this class was generated from the following file:

- DOMInputSource.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.